Organizations
Update extraction rules
Replaces built-in field extraction rules (Contact-only) and updates extraction rules on existing custom-field properties within DynamicProperties for the given section type. Validates regex patterns and rejects unknown custom field keys.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
organizationId*string
Query Parameters
type?string
Default
"Contact"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/organizations/string/extraction-rules" \ -H "Content-Type: application/json" \ -d '{ "backgroundExtractionMode": "inbound", "builtInFields": { "province": { "mode": "allowlist", "values": [ "ON", "QC", "BC", "AB" ], "regex": [] } }, "customFields": { "creditScore": null } }'{ "success": true, "message": "Extraction rules updated", "data": { "backgroundExtractionMode": "inbound", "builtInFields": { "province": { "mode": "allowlist", "values": [ "ON", "QC" ], "regex": [] } }, "customFields": {} }}